<?php

namespace App\Classes\Modules\Remarks\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Remarks\DataTransferObjects\RemarkObject;

class CanFetchRemark extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param RemarkObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param RemarkObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
